USN-6768-1

Source
https://ubuntu.com/security/notices/USN-6768-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6768-1.json
Related
Published
2024-05-09T13:13:10.069113Z
Modified
2024-05-09T13:13:10.069113Z
Summary
glib2.0 vulnerability
Details

Alicia Boya GarcĂ­a discovered that GLib incorrectly handled signal subscriptions. A local attacker could use this issue to spoof D-Bus signals resulting in a variety of impacts including possible privilege escalation.

References

Affected packages

Ubuntu:20.04:LTS / glib2.0

Package

Name
glib2.0

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0The exact introduced commit is unknown
Fixed
2.64.6-1~ubuntu20.04.7

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libglib2.0-doc": "2.64.6-1~ubuntu20.04.7",
            "libglib2.0-dev": "2.64.6-1~ubuntu20.04.7",
            "libglib2.0-0": "2.64.6-1~ubuntu20.04.7",
            "libglib2.0-tests": "2.64.6-1~ubuntu20.04.7",
            "libglib2.0-data": "2.64.6-1~ubuntu20.04.7",
            "libglib2.0-dev-bin": "2.64.6-1~ubuntu20.04.7",
            "libglib2.0-bin": "2.64.6-1~ubuntu20.04.7"
        }
    ]
}

Ubuntu:22.04:LTS / glib2.0

Package

Name
glib2.0

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0The exact introduced commit is unknown
Fixed
2.72.4-0ubuntu2.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libglib2.0-doc": "2.72.4-0ubuntu2.3",
            "libglib2.0-dev": "2.72.4-0ubuntu2.3",
            "libglib2.0-0": "2.72.4-0ubuntu2.3",
            "libglib2.0-tests": "2.72.4-0ubuntu2.3",
            "libglib2.0-data": "2.72.4-0ubuntu2.3",
            "libglib2.0-dev-bin": "2.72.4-0ubuntu2.3",
            "libglib2.0-bin": "2.72.4-0ubuntu2.3"
        }
    ]
}

Ubuntu:23.10 / glib2.0

Package

Name
glib2.0

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0The exact introduced commit is unknown
Fixed
2.78.0-2ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libglib2.0-doc": "2.78.0-2ubuntu0.1",
            "libglib2.0-dev": "2.78.0-2ubuntu0.1",
            "libglib2.0-0": "2.78.0-2ubuntu0.1",
            "libglib2.0-tests": "2.78.0-2ubuntu0.1",
            "libglib2.0-data": "2.78.0-2ubuntu0.1",
            "libglib2.0-dev-bin": "2.78.0-2ubuntu0.1",
            "libglib2.0-bin": "2.78.0-2ubuntu0.1"
        }
    ]
}

Ubuntu:24.04:LTS / glib2.0

Package

Name
glib2.0

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0The exact introduced commit is unknown
Fixed
2.80.0-6ubuntu3.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "gir1.2-girepository-3.0-dev": "2.80.0-6ubuntu3.1",
            "gir1.2-glib-2.0-dev": "2.80.0-6ubuntu3.1",
            "libglib2.0-doc": "2.80.0-6ubuntu3.1",
            "libglib2.0-0t64": "2.80.0-6ubuntu3.1",
            "gir1.2-glib-2.0": "2.80.0-6ubuntu3.1",
            "libgirepository-2.0-dev": "2.80.0-6ubuntu3.1",
            "libgirepository-2.0-0": "2.80.0-6ubuntu3.1",
            "gir1.2-girepository-3.0": "2.80.0-6ubuntu3.1",
            "libglib2.0-data": "2.80.0-6ubuntu3.1",
            "libglib2.0-dev-bin": "2.80.0-6ubuntu3.1",
            "libglib2.0-tests": "2.80.0-6ubuntu3.1",
            "libglib2.0-dev": "2.80.0-6ubuntu3.1",
            "libglib2.0-bin": "2.80.0-6ubuntu3.1"
        }
    ]
}